package sdk

import "code.gitea.io/sdk/gitea"

// GetReleases returns all matching Releases from a Gitea instance
func GetReleases(client *gitea.Client, owner, repo string, opts gitea.ListReleasesOptions) ([]*gitea.Release, error) {
	releases := make([]*gitea.Release, 0)
	p := 1
	for {
		opts.Page = p
		list, err := client.ListReleases(owner, repo, opts)
		if err != nil {
			return releases, err
		}
		p++
		releases = append(releases, list...)

		if len(list) == 0 {
			break
		}
	}
	return releases, nil
}
